commit: 5346ebe6a84f118ca5f27de90f23c009c57f39cd
Author: Johannes Huber <johu <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 23 18:01:13 2016 +0000
Commit: Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Sat Apr 23 18:01:13 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5346ebe6
kde5.eclass: Drop translations when nls not wanted
Gentoo-bug: 580720
eclass/kde5.eclass | 5 +++++
1 file changed, 5 insertions(+)
diff --git a/eclass/kde5.eclass b/eclass/kde5.eclass
index 675023b..c880cee 100644
--- a/eclass/kde5.eclass
+++ b/eclass/kde5.eclass
@@ -391,6 +391,11 @@ kde5_src_prepare() {
fi
fi
+ # drop translations when nls is not wanted
+ if [[ -d po ]] && ! use_if_isue nls ; then
+ rm -rf po || die
+ fi
+
# enable only the requested translations
# when required
if [[ -d po ]] ; then